%global pypi_name numba

Name:           python-%{pypi_name}
Version:        0.61.2
Release:        1%{?dist}
Summary:        Compiling Python code using LLVM

License:        BSD
URL:            https://numba.pydata.org
Source0:        %{pypi_source}

#Patch0:         pyver.patch

BuildRequires:  gcc-c++
BuildRequires:  python3-devel

%description
Numba .. image::

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Numba .. image::

%prep
%autosetup -n %{pypi_name}-%{version} -p0

#rm -rf numba/cuda

%generate_buildrequires
%pyproject_buildrequires

%build
export NUMBA_DISABLE_OPENMP=true
export NUMBA_DISABLE_TBB=true
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{pypi_name}
sed -e '1d' -i %{buildroot}%{python3_sitearch}/numba/misc/appdirs.py

%check
%pyproject_check_import

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/numba

%changelog
* Mon Apr 07 2025 Gwyn Ciesla <gwync@protonmail.com> - 0.61.2-1
- 0.61.2

* Thu Jan 16 2025 Gwyn Ciesla <gwync@protonmail.com> - 0.61.0-1
- 0.61.0

* Mon Dec 30 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.60.0-2
- Disable openmp and tbb for now, drop CUDA.

* Tue Sep 24 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.60.0-1
- 0.60.0

* Tue Apr 02 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.59.1-1
- Initial package.
